%define major	1
%define libname	%mklibname %{name} %{major}

Summary:	2D vector-based animation environment
Name:		tupitube
Version:	0.2.16
Release:	%mkrel 1
License:	GPLv3
Group:		Graphics/Editors and Converters
Url:		https://www.maefloresta.com/
Source0:	https://downloads.sourceforge.net/tupi2d/%{name}.desk-%{version}.tar.gz
Patch0:		tupitube-0.2.15-fix-install.patch
Patch1:		tupitube-0.2.15-fix-build-with-qt-5.15.patch

BuildRequires:	dos2unix
BuildRequires:	qttools5
BuildRequires:	ruby
BuildRequires:	aspell-devel
BuildRequires:	quazip-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Multimedia)
BuildRequires:	pkgconfig(Qt5MultimediaWidgets)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(libavcodec)
BuildRequires:	pkgconfig(ogg)
BuildRequires:	pkgconfig(theora)
BuildRequires:	pkgconfig(zlib)

Obsoletes:	tupi < 0.2.9-2
Provides:	tupi = %{version}-%{release}

%description
A design and authoring tool for digital artists interested in 2D Animation.

%package -n %{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries
Obsoletes:	%{_lib}tupi1 < 0.2.9-2

%description -n %{libname}
Shared libraries for %{name} 2D animation tool.

%prep
%setup -q -n %{name}.desk
%autopatch -p1

# link quazip (Qt5)
sed -i -e 's|-lquazip-qt5"|-lquazip5"|' qonf/test.rb
sed -i -e 's|-lquazip"|-lquazip5"|' qonf/test.rb
sed -i -e 's|-lquazip|-lquazip5|' tupiglobal.pri configure.tests/quazip/Makefile
# include quazip (Qt5)
sed -i -e 's|/usr/include/quazip|/usr/include/quazip5|' tupiglobal.pri configure.tests/quazip/{quazip.pro,Makefile,quazip.qonf}
sed -i -e 's|"quazip/|"quazip5/|g' configure.tests/quazip/main.cpp src/libtupi/tuppackagehandler.{h,cpp}

# Fix `require': cannot load such file -- os (LoadError)
sed -i '/require .os/d' qonf/configure.rb

# Fix 'E: spurious-executable-perm'
chmod -x COPYING README* launcher/tupitube.xml

# Fix 'W: wrong-script-end-of-line-encoding'
dos2unix src/shell/html/css/tupitube.css

%build
#No configure macro call because this is a custom configure script,
#not an autotools one.
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir}
%qmake_qt5 %{name}.desk.pro
%make_build

%install
%make_install

# SVG icon
install -Dm 0644 launcher/icons/icon.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

# Fix desktop file
desktop-file-install \
	--set-key=Exec --set-value="%{name}" \
	--set-key=Icon --set-value="%{name}" \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/%{name}.desktop

# Submission errors, aborting:
# - /usr/share/tupitube/themes/raster/brushes/ramon/100%%_Opaque.myb %%_Opaque
# - /usr/share/tupitube/themes/raster/brushes/ramon/100%%_Opaque_prev.png %%_Opaque_prev
# fix for unexpanded-macro %%_Opaque and %%_Opaque_prev
rm -rf %{buildroot}%{_datadir}/%{name}/themes/raster/brushes/ramon/*Opaque.myb
rm -rf %{buildroot}%{_datadir}/%{name}/themes/raster/brushes/ramon/*Opaque_prev.png

%files
%doc README
%license COPYING
%{_bindir}/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/pixmaps/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_datadir}/%{name}/

%files -n %{libname}
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/libtupi*.so
%{_libdir}/%{name}/libtupi*.so.%{major}{,.*}
%{_libdir}/%{name}/plugins/
%{_libdir}/%{name}/raster/


%changelog
* Thu Dec 17 2020 daviddavid <daviddavid> 0.2.16-1.mga8
+ Revision: 1660251
- new version: 0.2.16

* Thu Dec 17 2020 umeabot <umeabot> 0.2.15-2.mga8
+ Revision: 1660082
- Rebuild for new Qt5

* Sun Jul 19 2020 daviddavid <daviddavid> 0.2.15-1.mga8
+ Revision: 1607245
- new version: 0.2.15

* Sat Feb 15 2020 umeabot <umeabot> 0.2.10-4.mga8
+ Revision: 1525127
- Mageia 8 Mass Rebuild

* Tue Apr 02 2019 umeabot <umeabot> 0.2.10-3.mga7
+ Revision: 1385177
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.2.10-2.mga7
+ Revision: 1301471
- Mageia 7 Mass Rebuild

* Mon May 07 2018 daviddavid <daviddavid> 0.2.10-1.mga7
+ Revision: 1227139
- new version: 0.2.10
- obsoletes/provides tupi
- now tupi project is called tupitube
- add patch to fix install paths
- add patch to fix build with ffmpeg 4.0
- fix quazip5 linking

* Sun May 28 2017 akien <akien> 0.2.9-1.mga6
+ Revision: 1105354
- Version 0.2.9

* Tue May 02 2017 akien <akien> 0.2-1.git05.4.mga6
+ Revision: 1098376
- Rebuild for ffmpeg 3.3

* Wed Mar 08 2017 akien <akien> 0.2-1.git05.3.mga6
+ Revision: 1090261
- Rebuild for ffmpeg 3.2.4

* Mon May 09 2016 luigiwalser <luigiwalser> 0.2-1.git05.2.mga6
+ Revision: 1011794
- fix quazip library name
- rebuild for quazip

* Wed Jan 20 2016 daviddavid <daviddavid> 0.2-1.git05.1.mga6
+ Revision: 926064
- new version: 0.2_git05
- switch build to Qt5
- do not strip binaries and libraries (fix empty debuginfo)
- do not mark man files as doc
- fix Group
- rediff desktop-file patch
- remove no more needed ffmpeg2.4 patch
+ tv <tv>
- add missing BRs

* Thu Jan 08 2015 alexl <alexl> 0.2-1.git04.6.mga5
+ Revision: 809373
- updated desktop files from upstream
- fixed crash when creating new project (mga#14958), thanks to author (tupgradientcreator.patch)

* Sun Nov 16 2014 akien <akien> 0.2-1.git04.5.mga5
+ Revision: 797619
- Fix build with ffmpeg 2.4
- Rebuild for ffmpeg 2.4

* Wed Oct 15 2014 umeabot <umeabot> 0.2-1.git04.3.mga5
+ Revision: 744500
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2-1.git04.2.mga5
+ Revision: 689975
- Mageia 5 Mass Rebuild

* Fri May 02 2014 akien <akien> 0.2-1.git04.1.mga5
+ Revision: 619491
- New upstream version 0.2_git04
- Patch ffmpeg plugin to build with ffmpeg 2.2.1

* Sat Oct 19 2013 umeabot <umeabot> 0.2-0.09122012.4.mga4
+ Revision: 534845
- Mageia 4 Mass Rebuild

* Sun Sep 15 2013 juancho <juancho> 0.2-0.09122012.3.mga4
+ Revision: 479135
- Fix xml launcher file (BUG #10640)

* Thu Jul 11 2013 fwang <fwang> 0.2-0.09122012.2.mga4
+ Revision: 452802
- fix build with ffmpeg 2.0

* Mon Jan 14 2013 umeabot <umeabot> 0.2-0.09122012.2.mga3
+ Revision: 384842
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ boklm <boklm>
- Update group: Graphics/Editors -> Graphics/Editors and Converters

* Tue Jan 01 2013 juancho <juancho> 0.2-0.09122012.1.mga3
+ Revision: 337076
- Added patch to fix build against ffmpeg 1.0.1
- Fixed mkrel
- imported package tupi

